#ifndef __ENEMY_H__
#define __ENEMY_H__

#include <allegro.h>
#include <vector>

#include "anim.h"

class EnemyGroup
{
    public:
	EnemyGroup();
	virtual ~EnemyGroup();

	void Clear();
	void Draw(BITMAP *bmp);
	void UpdateFrame();

	void SetBase(Anim newbase);

	void AddX(float addx);
	void AddY(float addy);
	virtual void XWrap();
	virtual void YWrap();

	bool Collide(CMask *mask, float x, float y);

	const EnemyGroup &operator=(const EnemyGroup &src);
	bool Empty();

	void GetRandData(float *x, float *y); 

    protected:
	vector<Anim> group;
	Anim base;
};

#endif // __ENEMY_H__